import sys
import asyncio

from .tsmailer import mailer, CONFIG


__doc__ = (
    "Send mails in batches. "
    "Configuration should be in a yaml config file"
    "given with the CONFIG enviroenment variable."
)


def main() -> None:
    from argparse import ArgumentParser

    parser = ArgumentParser(description=__doc__)
    parser.add_argument(
        "-v", "--version", action="store_true", help="Print version and exit"
    )
    args = parser.parse_args()
    if args.version:
        from importlib.metadata import version

        print(version("tinysteady-mailer"))
        sys.exit(0)

    if CONFIG is None:
        print(__doc__)
        sys.exit(0)
    asyncio.run(mailer())
